# Class TimeBarChartMaker.WeekdayBarChartMaker

java.lang.Object
net.sf.statcvs.charts.TimeBarChartMaker
net.sf.statcvs.charts.TimeBarChartMaker.WeekdayBarChartMaker

Enclosing class:
  `TimeBarChartMaker`

public static class TimeBarChartMaker.WeekdayBarChartMaker extends TimeBarChartMaker

Version:
  $Id: TimeBarChartMaker.java,v 1.7 2009/04/25 16:36:20 benoitx Exp $
Author:
  jentzsch, Richard Cyganiak (richard@cyganiak.de)

## Nested Class Summary

### Nested classes/interfaces inherited from class TimeBarChartMaker

`TimeBarChartMaker.HourBarChartMaker, TimeBarChartMaker.WeekdayBarChartMaker`

## Constructor Summary

Constructors
Constructor
Description
`WeekdayBarChartMaker(String chartName, ReportConfig config, SortedSet revisions, String title, String fileName)`
Creates a bar chart showing a distribution of revisions over the days of the week.

## Method Summary

Modifier and Type
Method
Description
`protected int`
`barNumberForTime(Calendar time)`

### Methods inherited from class TimeBarChartMaker

`toFile`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WeekdayBarChartMaker

public WeekdayBarChartMaker(String chartName, ReportConfig config, SortedSet revisions, String title, String fileName)
Creates a bar chart showing a distribution of revisions over the days of the week.

Parameters:
  `config` - The configuration to use
  `revisions` - The set of revisions to analyze
  `title` - The title of the chart
  `fileName` - The file for saving the chart

## Method Details

### barNumberForTime

protected int barNumberForTime(Calendar time)

Specified by:
  `barNumberForTime` in class `TimeBarChartMaker`